<?php
/*
*
* Fake Admin CP
* Copyright 2009 MyBBWebHost
* http://www.mybbwebhost.com
* This plugin is provided as-as.  You may edit the plugin as you please, but you may not remove this in-file copyright.
* You may not distribute this plugin or claim it as your own.
*
*/

if(!defined("IN_MYBB")) {
	header('Status: 404 Not Found'); 
	echo "<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /inc/plugins/fakeadmin.php was not found on this server.</p>
</body></html>
";
	exit;
}

// Plugin Information
function fakeadmin_info()
{
    return array(
        "name"        => "Fake Admin CP",
        "description" => "Creates a fake Admin CP login page, where visitors attempting to login will get an eternal 'Wrong username/password' error and you will be emailed their attempted login details.",
        "website"     => "http://www.mybbwebhost.com",
        "author"      => "MyBBWebHost",
        "authorsite"  => "http://www.mybbwebhost.com",
        "version"     => "1.0",
	"compatibility" => "14*,16*",
        );
}

function fakeadmin_is_installed()
{
	global $db;

if ($db->num_rows($db->simple_select("settings","name","name='fa_subject'")) >= 1)	
{
		return true;
	}

	return false;
}

// Install and Activate
function fakeadmin_activate() {

global $db;

    $fa_group = array(
        "gid" => "NULL",
        "name" => "fakeadmin",
        "title" => "Fake Admin CP Settings",
        "description" => "Verander de instellingen for de emails die verzonden worden bij het Fake Admin CP.",
        "disporder" => "35",
        "isdefault" => "no",
        );
    $db->insert_query("settinggroups", $fa_group);
    $gid = $db->insert_id();
    
    $fa_1 = array(
        "sid" => "NULL",
        "name" => "fa_subject",
        "title" => "Email Onderwerp",
        "description" => "Dit is het onderwerp van de email.",
        "optionscode" => "text",
        "value" => "Fake Admin CP Login Poging",
        "disporder" => "1",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $fa_1);
  
    $fa_2 = array(
        "sid" => "NULL",
        "name" => "fa_toemail",
        "title" => "To Email",
        "description" => "Alle emails worden verzonden naar dit adres.",
        "optionscode" => "text",
        "value" => "email@yourdomain.com",
        "disporder" => "2",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $fa_2);

    $fa_3 = array(
        "sid" => "NULL",
        "name" => "fa_fromemail",
        "title" => "From Email",
        "description" => "Alle emails worden verzonden vanaf dit adres.  U moet dit veld niet invullen, maar als je het doet, zorg er dan wel voor dat het niet bij SPAM komt.",
        "optionscode" => "text",
        "value" => "",
        "disporder" => "3",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $fa_3);

rebuildsettings();

}

// Deactivate and Uninstall
function fakeadmin_deactivate() {

global $db, $mybb;
    require "../inc/adminfunctions_templates.php";
    $query = $db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups WHERE name='fakeadmin'");
    $g = $db->fetch_array($query);
    $db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE gid='".$g['gid']."'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE gid='".$g['gid']."'");

rebuildsettings();

global $db;

}
?>